Skip to content

Human Design Chart

POST
/api/human-design/chart

Calculate a complete Human Design bodygraph chart including Type, Strategy, Authority, Profile, Definition, gate activations, channels, and centers.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
  
"dateTime": "string",
  
"location": {
  
  
"longitude": 0,
  
  
"latitude": 0,
  
  
"timezone": "string"
  
},
  
"language": "string"
}

Responses

Complete Human Design chart

application/vnd.api+json
JSON
{
  
"data": {
  
  
"type": "string",
  
  
"strategy": "string",
  
  
"authority": "string",
  
  
"profile": {
  
  
  
"conscious": 0,
  
  
  
"unconscious": 0,
  
  
  
"name": "string"
  
  
},
  
  
"definition": "string",
  
  
"signature": "string",
  
  
"notSelfTheme": "string",
  
  
"incarnationCross": {
  
  
  
"angle": "string",
  
  
  
"name": "string",
  
  
  
"fullName": "string",
  
  
  
"gates": {
  
  
  
  
"personalitySun": 0,
  
  
  
  
"personalityEarth": 0,
  
  
  
  
"designSun": 0,
  
  
  
  
"designEarth": 0
  
  
  
},
  
  
  
"notation": "string"
  
  
},
  
  
"variables": {
  
  
  
"digestion": {
  
  
  
  
"value": "string",
  
  
  
  
"key": "string",
  
  
  
  
"category": "string",
  
  
  
  
"color": 0,
  
  
  
  
"tone": 0,
  
  
  
  
"orientation": "string"
  
  
  
},
  
  
  
"environment": {
  
  
  
  
"value": "string",
  
  
  
  
"key": "string",
  
  
  
  
"category": "string",
  
  
  
  
"color": 0,
  
  
  
  
"tone": 0,
  
  
  
  
"orientation": "string"
  
  
  
},
  
  
  
"motivation": {
  
  
  
  
"value": "string",
  
  
  
  
"key": "string",
  
  
  
  
"category": "string",
  
  
  
  
"color": 0,
  
  
  
  
"tone": 0,
  
  
  
  
"orientation": "string"
  
  
  
},
  
  
  
"perspective": {
  
  
  
  
"value": "string",
  
  
  
  
"key": "string",
  
  
  
  
"category": "string",
  
  
  
  
"color": 0,
  
  
  
  
"tone": 0,
  
  
  
  
"orientation": "string"
  
  
  
},
  
  
  
"designSense": {
  
  
  
  
"value": "string",
  
  
  
  
"key": "string",
  
  
  
  
"category": "string",
  
  
  
  
"color": 0,
  
  
  
  
"tone": 0,
  
  
  
  
"orientation": "string"
  
  
  
}
  
  
},
  
  
"birthDate": "string",
  
  
"designDate": "string",
  
  
"personality": [
  
  
  
{
  
  
  
  
"planet": "string",
  
  
  
  
"gate": 0,
  
  
  
  
"line": 0,
  
  
  
  
"color": 0,
  
  
  
  
"tone": 0,
  
  
  
  
"base": 0,
  
  
  
  
"longitude": 0,
  
  
  
  
"retrograde": true
  
  
  
}
  
  
],
  
  
"design": [
  
  
  
{
  
  
  
  
"planet": "string",
  
  
  
  
"gate": 0,
  
  
  
  
"line": 0,
  
  
  
  
"color": 0,
  
  
  
  
"tone": 0,
  
  
  
  
"base": 0,
  
  
  
  
"longitude": 0,
  
  
  
  
"retrograde": true
  
  
  
}
  
  
],
  
  
"centers": {
  
  
  
"additionalProperties": {
  
  
  
  
"status": "string",
  
  
  
  
"gates": [
  
  
  
  
  
0
  
  
  
  
]
  
  
  
}
  
  
},
  
  
"definedChannels": [
  
  
  
{
  
  
  
  
"gate1": 0,
  
  
  
  
"gate2": 0,
  
  
  
  
"center1": "string",
  
  
  
  
"center2": "string",
  
  
  
  
"name": "string",
  
  
  
  
"personality": true,
  
  
  
  
"design": true
  
  
  
}
  
  
],
  
  
"activatedGates": [
  
  
  
0
  
  
],
  
  
"texts": {
  
  
  
"type": {
  
  
  
  
"urn": "string",
  
  
  
  
"title": "string",
  
  
  
  
"body": "string"
  
  
  
},
  
  
  
"strategy": {
  
  
  
  
"urn": "string",
  
  
  
  
"title": "string",
  
  
  
  
"body": "string"
  
  
  
},
  
  
  
"authority": {
  
  
  
  
"urn": "string",
  
  
  
  
"title": "string",
  
  
  
  
"body": "string"
  
  
  
},
  
  
  
"profile": {
  
  
  
  
"urn": "string",
  
  
  
  
"title": "string",
  
  
  
  
"body": "string"
  
  
  
},
  
  
  
"definition": {
  
  
  
  
"urn": "string",
  
  
  
  
"title": "string",
  
  
  
  
"body": "string"
  
  
  
},
  
  
  
"centers": {
  
  
  
  
"additionalProperties": {
  
  
  
  
  
"urn": "string",
  
  
  
  
  
"title": "string",
  
  
  
  
  
"body": "string"
  
  
  
  
}
  
  
  
},
  
  
  
"channels": {
  
  
  
  
"additionalProperties": {
  
  
  
  
  
"urn": "string",
  
  
  
  
  
"title": "string",
  
  
  
  
  
"body": "string"
  
  
  
  
}
  
  
  
},
  
  
  
"gates": {
  
  
  
  
"additionalProperties": {
  
  
  
  
  
"urn": "string",
  
  
  
  
  
"title": "string",
  
  
  
  
  
"body": "string"
  
  
  
  
}
  
  
  
}
  
  
}
  
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation